#### D.15.6.2 u

Procedure from library `finitediff.lib` (see finitediff_lib).

Usage:
  u(D[,#]); D a string that occurs in the list of @derivatives, # an optional list of integers.

Return:
  type vector; gives the vector, that corresponds with gen(n)*m, where m is the monomial defined by #

Example:

    LIB "finitediff.lib";
    list D="Ux","Uy","Ut","U";
    list P="a","b";
    list V="t","x","y";
    setinitials(V,D,P);
    u(Ux);
    ==> [1]
    u(Ux,2,3,7);
    ==> [t^2*x^3*y^7]
    u(Uy)+u(Ut)-u(Ux);
    ==> [-1,1,1]
    u(U)*234-dx*dt*dy*3*u(Uy);
    ==> [0,(-3*dt*dx*dy),0,234]

User manual for Singular version 4.4.1, 2025, generated by texi2html.